<?
session_start();
ob_start();


    function _string($string) {
      
    $string = trim($string);
    
          $string = mysql_escape_string($string);
      
    $string = htmlspecialchars($string);

    return $string;
    
    }
    
    function _num($i) {
    
      $i = (int) abs($i);
    
    return $i;
    
    }
    
    function n_f($i) {

    if($i >= 10000 && $i < 1000000) {
    
    
    }
elseif($i >= 1000000) {

    

    }
    else
    {
      
      $i = number_format($i, 0, '', '\'');
     
    }
       
    return $i;
    
    }
	
	
	
	


    
	
	
	function pages($path){
 global $page, $pages;

if ($page-3 > 0) $a='<a href="'.$path.'page=1">1</a>';
if ($page-2 > 0) $d='<a href="'.$path.'page='.($page-2).'">'.($page-2).'</a>';
if ($page-1 > 0) $e='<a href="'.$path.'page='.($page-1).'">'.($page-1).'</a>';
if ($page+1 <= $pages) $v='<a href="'.$path.'page='.($page+1).'">'.($page+1).'</a>';
if ($page+2 <= $pages) $w='<a href="'.$path.'page='.($page+2).'">'.($page+2).'</a>';
if ($page+3 <= $pages) $z='<a href="'.$path.'page='.$pages.'">'.$pages.'</a>';

echo' <div class="empty_block pagi item_center light_bottom"> '.$a.$b.$c.$d.$e.' <b>'.$page.' </b> '.$v.$w.$x.$y.$z.'</div>';

}
	
	
	
	
	
	
	
	
	
	


//////////////////////////////////////////////////////
///////////////////////////////////////////////
function _time($i) {
$d  = floor(($i / 86400) - $d * 24);  //Считаем дни    
$h  = floor(($i / 3600) - $d * 24);   //Считаем часы    
$m  = floor(($i - $h * 3600 - $d * 86400) / 60);  //Считаем минуты      
if($h == '0'){
$s  = $i - ($m * 60 + $h * 3600 + $d * 86400); //Считаем секунды
}
return ($d > 0 ? ($d < 10 ? '':'').$d.'д ':'').($h > 0 ? ($h < 10 ? '':'').$h.'ч ':'').($m > 0 ? ($m < 10 ? '':'').$m.'м ':'').($s > 0 ? ($s < 10 ? '0':'').$s.'с':'');   
}
/////////////////////////////////////////////////////
///////////////////////////////////////////////
    
    function bb($string) {
      
      $string = str_replace("\r\n","<br/>",$string);
    
    return $string;
    
    }
    
    function _times($i) {

      $d  = floor($i / 86400); 
      
      $h  = floor(($i / 3600) - $d * 24); 
      
      $m  = floor(($i - $h * 3600 - $d * 86400) / 60); 
      
      $s  = $i - ($m * 60 + $h * 3600 + $d * 86400);

    
      if($d > 0) {
      
        $result = $d.' д';
       
      }
      elseif($h > 0)
                 {
       
        $result = $h.' ч';
                
      }elseif($m > 0)
                 {
       
      $result = $m.' мин';
                
      }elseif($s >= 0)
                 {
       
      $result = $s.' сек';
                
      }

  return $result.' назад';
  
  }
  
  //////////////////////////////////////////
  
  
  ###############################
############ Время ############
###############################
function vremja($time = NULL) {
if(!$time) $time = time();
$data = date('j.n.y', $time);
if($data == date('j.n.y')) $res = 'Сегодня в '. date('G:i', $time);
elseif($data == date('j.n.y', time() - 86400)) $res = 'Вчера в '. date('G:i', $time);
elseif($data == date('j.n.y', time() - 172800)) $res = 'Позавчера в '. date('G:i', $time);
else {
$m = array('0',
'Янв', 'Фев', 
'Мар', 'Апр', 'Май', 
'Июн', 'Июл', 'Авг', 
'Сен', 'Окт', 'Ноя', 
'Дек');

$res = date('j '. $m[date('n', $time)] .' Y в G:i', $time);
$res = str_replace(date('Y'), '', $res);
}
return $res;
}
  
  
  /////////////////////////////////////////
  function mes($ok = NULL){
$m = '<div class="bor1"><div class="bor2"><div class="bor3"><div class="bor4"><div class="bor_bg item_center"> '.$ok.' </div> </div> </div> </div> </div>';
return $m; 
}
//////////////////////////////////////////////////////


function nick($id){
global $HOME;
$users = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1"));

//-----Если пол == 1(мужской)-----//
if($users['sex'] == 0)
{ 
//-----Если онлайн-----//
if($users['online'] > time()-360)
{
$p = '<img src="/images/ico/png/hero_on_1.png" width="18" alt="*" title="Онлайн" />';
} else {
$p = '<img src="/images/ico/png/hero_off_1.png" width="18" alt="*" title = "Оффлайн"/>';
}
}
//-----Если пол == 2(жен)-----//
elseif($users['sex'] == 1)
{
if($users['online'] > time()-360)
{
$p = '<img src="/images/ico/png/hero_on_2.png" width="18" alt="*" title="Онлайн" />';
} else {
$p = '<img src="/images/ico/png/hero_off_2.png" width="18" alt="*" title = "Оффлайн"/>';
}
}
$us=null;
if($users['access']==1) $us='<font color="#E3D104">[Мд]</font>';
if($users['access']==2) $us='<font color="#5CB85C">[Адм]</font>';
if($users['access']==3) $us='<font color="#D9534F">[Соз]</font>';
if($users['id']==2) $us='<font color="#B2CDAE">[Системный робот]</font>';

return (empty($users)?'[Удален]':'  '.$p.'<b>'.$users['login'].'</b> '.$us.'');



  
}

///////////////////////////////////////////
function color($id){//Цвет сообщений
global $HOME;
$users = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1"));
$color=null;
if($users['access']==0) $color='#61646a'; //Цвет для юзеров
if($users['access']==1) $color='#E3D104';  //Цвет для модераторов
if($users['access']==2) $color='#5CB85C';    //Цвет для админов
if($users['access']==3) $color='#D9534F';     //Цвет для создателей
if($users['id']==2) $color='#B2CDAE';      //Цвет для системного робота

return $color;

}
///////////////////////////////////////////////

function bbcode($msg){
$msg = stripslashes($msg);
$msg = preg_replace('#\[center\](.*?)\[\/center\]#si', '<center>\1</center>', $msg); //По центру
$msg = preg_replace('#\[s\](.*?)\[\/s\]#si', '<s>\1</s>', $msg); //Зачеркнутый
$msg = preg_replace('#\[i\](.*?)\[\/i\]#si', '<i>\1</i>', $msg); //Курсив
$msg = preg_replace('#\[b\](.*?)\[/b\]#si', '<span style="font-weight: bold;"> \1 </span>', $msg); //Жирный
$msg = preg_replace('#\[u\](.*?)\[\/u\]#si', '<u>\1</u>', $msg); //Подчеркнутый
$msg = preg_replace('#\[small\](.*?)\[\/small\]#si', '<small>\1</small>', $msg); //Мелкий

$msg = preg_replace('#\[white\](.*?)\[\/white\]#si', '<span style="color:white">\1</span>', $msg); //Белый
$msg = preg_replace('#\[red\](.*?)\[\/red\]#si', '<span style="color:red">\1</span>', $msg); //Красный
$msg = preg_replace('#\[lime\](.*?)\[\/lime\]#si', '<span style="color:lime">\1</span>', $msg); //Зеленый  
$msg = preg_replace('#\[yellow\](.*?)\[\/yellow\]#si', '<span style="color:yellow">\1</span>', $msg); //Желтый
$msg = preg_replace('#\[violet\](.*?)\[\/violet\]#si', '<span style="color:violet">\1</span>', $msg); //Фиолетовый
$msg = preg_replace('#\[pink\](.*?)\[\/pink\]#si', '<span style="color:pink">\1</span>', $msg); //Розовый
$msg = preg_replace('#\[blue\](.*?)\[\/blue\]#si', '<span style="color:blue">\1</span>', $msg); //Синий
$msg = preg_replace('#\[orange\](.*?)\[\/orange\]#si', '<span style="color:orange">\1</span>', $msg); //Оранжевый
$msg = preg_replace('#\[silver\](.*?)\[\/silver\]#si', '<span style="color:silver">\1</span>', $msg); //Серебристый
$msg = preg_replace('#\[cyan\](.*?)\[\/cyan\]#si', '<span style="color:cyan">\1</span>', $msg); //Сине-зеленый
$msg = preg_replace('/\[url\s?=\s?([\'"]?)(?:http:\/\/'.$_SERVER['HTTP_HOST'].')?(.*?)\1\](.*?)\[\/url\]/', ' <a href="http://'.$_SERVER['HTTP_HOST'].'$2"> $3 </a> ', $msg);
$msg = preg_replace('/\[img\s?=\s?([0-9]+)\](?:http:\/\/'.$_SERVER['HTTP_HOST'].')?(.*?)\[\/img\]/', ' <img src="http://'.$_SERVER['HTTP_HOST'].'/$2" width="$1"> ', $msg);


return $msg; 
}
###############################
############ Смайлы ###########
###############################

    function smile($msg) {
$msg = str_replace(array('@_@'), '<img src="/images/ico/smiles/01.png" alt="@_@"/>',      $msg);
$msg = str_replace(array(':P'), '<img src="/images/ico/smiles/02.png" alt=":P"/>',      $msg);
$msg = str_replace(array(';)'), '<img src="/images/ico/smiles/03.png" alt=";)"/>',      $msg);
$msg = str_replace(array('8/'), '<img src="/images/ico/smiles/04.png" alt="8/"/>',      $msg);
$msg = str_replace(array(';('), '<img src="/images/ico/smiles/05.png" alt=";("/>',      $msg);
$msg = str_replace(array(':['), '<img src="/images/ico/smiles/06.png" alt=":["/>',      $msg);
$msg = str_replace(array(':]'), '<img src="/images/ico/smiles/07.png" alt=":]"/>',      $msg);
$msg = str_replace(array(':/['), '<img src="/images/ico/smiles/08.png" alt=":/"/>',      $msg);
$msg = str_replace(array(':D'), '<img src="/images/ico/smiles/09.png" alt=":D"/>',      $msg);
$msg = str_replace(array(':*'), '<img src="/images/ico/smiles/10.png" alt=":*"/>',      $msg);
$msg = str_replace(array(';O'), '<img src="/images/ico/smiles/11.png" alt=";O"/>',      $msg);
$msg = str_replace(array(':O'), '<img src="/images/ico/smiles/12.png" alt=":O"/>',      $msg);
$msg = str_replace(array(':}'), '<img src="/images/ico/smiles/13.png" alt=":}"/>',      $msg);
$msg = str_replace(array(':('), '<img src="/images/ico/smiles/14.png" alt=":("/>',      $msg);
$msg = str_replace(array(':)'), '<img src="/images/ico/smiles/15.png" alt=":)"/>',      $msg);
$msg = str_replace(array('-:-'), '<img src="/images/ico/smiles/16.png" alt="-:-"/>',      $msg);
$msg = str_replace(array('=:='), '<img src="/images/ico/smiles/17.png" alt="=:="/>',      $msg);
$msg = str_replace(array(':!'), '<img src="/images/ico/smiles/18.png" alt=":!"/>',      $msg);
$msg = str_replace(array('V:V'), '<img src="/images/ico/smiles/19.png" alt="V:V"/>',      $msg);
$msg = str_replace(array('#\[img](.+?)\[/img]#'), '<img src="http://localhost/$1" alt="*"/>',      $msg);


return $msg;
}
/////////////////////////////////////////////////
///////////////////////////////////////////////////





?>